
package au.net.electronichealth.els.operation.lookup.v2010;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the au.net.electronichealth.els.operation.lookup.v2010 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _LookupError_QNAME = new QName("http://ns.electronichealth.net.au/els/svc/Lookup/2010", "lookupError");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: au.net.electronichealth.els.operation.lookup.v2010
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ListInteractions }
     * 
     */
    public ListInteractions createListInteractions() {
        return new ListInteractions();
    }

    /**
     * Create an instance of {@link ValidateInteractionResponse }
     * 
     */
    public ValidateInteractionResponse createValidateInteractionResponse() {
        return new ValidateInteractionResponse();
    }

    /**
     * Create an instance of {@link ValidateInteraction }
     * 
     */
    public ValidateInteraction createValidateInteraction() {
        return new ValidateInteraction();
    }

    /**
     * Create an instance of {@link ListInteractionsResponse }
     * 
     */
    public ListInteractionsResponse createListInteractionsResponse() {
        return new ListInteractionsResponse();
    }

    /**
     * Create an instance of {@link LookupErrorType }
     * 
     */
    public LookupErrorType createLookupErrorType() {
        return new LookupErrorType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LookupErrorType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ns.electronichealth.net.au/els/svc/Lookup/2010", name = "lookupError")
    public JAXBElement<LookupErrorType> createLookupError(LookupErrorType value) {
        return new JAXBElement<LookupErrorType>(_LookupError_QNAME, LookupErrorType.class, null, value);
    }

}
